-- phpMyAdmin SQL Dump
-- version 2.6.1
-- http://www.phpmyadmin.net
-- 
-- : localhost
--  :  09 2010 ., 03:18
--  : 5.0.45
--  PHP: 5.2.4
-- 
-- : `gta`
-- 

-- --------------------------------------------------------

-- 
--   `attack`
-- 

CREATE TABLE `attack` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `who` text,
  `msg` text,
  `power` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `what` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `attack`
-- 


-- --------------------------------------------------------

-- 
--   `bands`
-- 

CREATE TABLE `bands` (
  `id` int(11) NOT NULL auto_increment,
  `name` text,
  `boss` text,
  `members` text,
  `avtoritet` text,
  `cars` text,
  `guns` text,
  `money` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `bands`
-- 


-- --------------------------------------------------------

-- 
--   `bank`
-- 

CREATE TABLE `bank` (
  `bank_id` int(11) NOT NULL auto_increment,
  `bank_user` varchar(20) NOT NULL,
  `bank_sum` int(11) default '0',
  `bank_oper` int(11) default '0',
  `bank_time` int(11) default '0',
  PRIMARY KEY  (`bank_id`),
  UNIQUE KEY `bank_user` (`bank_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `bank`
-- 


-- --------------------------------------------------------

-- 
--   `clicks`
-- 

CREATE TABLE `clicks` (
  `dbid` int(10) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `time` int(10) unsigned NOT NULL default '0',
  `browser` blob NOT NULL,
  PRIMARY KEY  (`dbid`,`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `clicks`
-- 


-- --------------------------------------------------------
-- 
--   `fights`
-- 

CREATE TABLE `fights` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `last` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- 
--    `fights`
-- 



-- --------------------------------------------------------

-- 
--   `forsage`
-- 

CREATE TABLE `forsage` (
  `id` int(11) NOT NULL auto_increment,
  `users` text NOT NULL,
  `stage` int(2) NOT NULL default '1',
  `win` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- 
--    `forsage`
-- 


-- --------------------------------------------------------

-- 
--   `forsage_cars`
-- 

CREATE TABLE `forsage_cars` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `gonka` int(11) NOT NULL default '0',
  `car` text NOT NULL,
  `mods` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `forsage_cars`
-- 


-- --------------------------------------------------------

-- 
--   `forums`
-- 

CREATE TABLE `forums` (
  `uid` int(5) NOT NULL auto_increment,
  `name` varchar(40) default NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `forums`
-- 


-- --------------------------------------------------------

-- 
--   `gb`
-- 

CREATE TABLE `gb` (
  `dbid` int(3) NOT NULL auto_increment,
  `text` text NOT NULL,
  `login` varchar(20) NOT NULL default '',
  `date` char(10) default NULL,
  PRIMARY KEY  (`dbid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gb`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_avto`
-- 

CREATE TABLE `gorod_avto` (
  `uid` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `path` varchar(15) NOT NULL,
  `price` int(11) NOT NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

-- 
--    `gorod_avto`
-- 

INSERT INTO `gorod_avto` VALUES (5, 'Daewoo Espero', '1261680033.jpeg', 25000);
INSERT INTO `gorod_avto` VALUES (6, 'Volkswagen Golf V', '1261680057.jpeg', 30000);
INSERT INTO `gorod_avto` VALUES (7, 'Mitsubishi 3000GT', '1261680081.jpeg', 40000);
INSERT INTO `gorod_avto` VALUES (8, 'Mitsubishi Lancer X', '1261680099.jpeg', 50000);
INSERT INTO `gorod_avto` VALUES (9, 'Audi ', '1261680124.jpeg', 50000);
INSERT INTO `gorod_avto` VALUES (10, 'BMW M6', '1261680156.jpeg', 70000);
INSERT INTO `gorod_avto` VALUES (11, 'Audi A8', '1261680173.jpeg', 70000);
INSERT INTO `gorod_avto` VALUES (12, 'Hummer H2', '1261680201.jpeg', 80000);
INSERT INTO `gorod_avto` VALUES (13, 'Porsche Cayman', '1261680225.jpeg', 90000);
INSERT INTO `gorod_avto` VALUES (14, 'Dodge Viper 8.3i SRT', '1261680252.jpeg', 100000);
INSERT INTO `gorod_avto` VALUES (15, 'Bentley Continental GT Speed', '1261680273.jpeg', 120000);
INSERT INTO `gorod_avto` VALUES (16, 'Ferrari F430 Spider', '1261680300.jpeg', 120000);
INSERT INTO `gorod_avto` VALUES (17, 'Lamborghini Murcielago Roadster', '1261680322.jpeg', 140000);
INSERT INTO `gorod_avto` VALUES (18, 'Ferrari 599', '1261680341.jpeg', 150000);
INSERT INTO `gorod_avto` VALUES (19, 'Mercedes SLR', '1261680369.jpeg', 150000);

-- --------------------------------------------------------

-- 
--   `gorod_band`
-- 

CREATE TABLE `gorod_band` (
  `uid` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `glava` varchar(32) NOT NULL,
  `zarplata` int(11) NOT NULL,
  `bal` int(11) NOT NULL,
  `kill` int(11) NOT NULL,
  `balans` int(11) NOT NULL,
  `opis` varchar(250) NOT NULL,
  `open` varchar(3) NOT NULL,
  `needbal` int(11) NOT NULL,
  `krishaopen` varchar(3) NOT NULL,
  `price` int(11) NOT NULL,
  `krishaprice` int(11) NOT NULL,
  `strana` varchar(5) NOT NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_band`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_bar`
-- 

CREATE TABLE `gorod_bar` (
  `uid` int(11) NOT NULL auto_increment,
  `name` varchar(50) character set utf8 default NULL,
  `price` int(11) NOT NULL,
  `life` smallint(6) NOT NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

-- 
--    `gorod_bar`
-- 

INSERT INTO `gorod_bar` VALUES (7, 'Red Lable', 1000, 35);
INSERT INTO `gorod_bar` VALUES (8, 'Jack Daniels', 1500, 40);
INSERT INTO `gorod_bar` VALUES (9, 'Jack Daniels', 3000, 50);
INSERT INTO `gorod_bar` VALUES (10, 'Chivas Riegal', 3500, 55);

-- --------------------------------------------------------

-- 
--   `gorod_bazar`
-- 

CREATE TABLE `gorod_bazar` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(150) NOT NULL,
  `price` int(11) NOT NULL,
  `life` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_bazar`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_conf`
-- 

CREATE TABLE `gorod_conf` (
  `open` varchar(2) NOT NULL,
  `kopi` int(11) NOT NULL,
  `kopi_v` varchar(32) NOT NULL,
  `kopi_k` varchar(32) NOT NULL,
  `kopi_time` int(11) NOT NULL,
  `luna` int(11) default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
--    `gorod_conf`
-- 

INSERT INTO `gorod_conf` VALUES ('0', 1222, 'Potap', 'Lesnik', 18000, 124);

-- --------------------------------------------------------

-- 
--   `gorod_dom`
-- 

CREATE TABLE `gorod_dom` (
  `uid` int(11) NOT NULL auto_increment,
  `name` varchar(50) character set utf8 default NULL,
  `path` varchar(15) character set utf8 default NULL,
  `price` int(11) NOT NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

-- 
--    `gorod_dom`
-- 
-- --------------------------------------------------------

-- 
--   `gorod_firm`
-- 

CREATE TABLE `gorod_firm` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `opis` varchar(250) NOT NULL,
  `lasttake` bigint(20) NOT NULL,
  `dohod` int(11) NOT NULL,
  `balans` int(11) NOT NULL,
  `login` varchar(32) NOT NULL,
  `date` bigint(20) NOT NULL,
  `update` bigint(20) NOT NULL,
  `pritok` int(11) NOT NULL,
  `birga` varchar(3) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_firm`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_invent`
-- 

CREATE TABLE `gorod_invent` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `name` varchar(150) NOT NULL,
  `life` smallint(6) NOT NULL,
  `type` varchar(50) NOT NULL,
  `price` bigint(20) NOT NULL,
  `uron` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_invent`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_mobi`
-- 

CREATE TABLE `gorod_mobi` (
  `uid` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `path` varchar(15) NOT NULL,
  `price` int(11) NOT NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_mobi`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_para`
-- 

CREATE TABLE `gorod_para` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) character set utf8 default NULL,
  `price` int(11) NOT NULL,
  `path` varchar(15) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

-- 
--    `gorod_para`
-- 
-- --------------------------------------------------------

-- 
--   `gorod_security`
-- 

CREATE TABLE `gorod_security` (
  `uid` int(11) NOT NULL auto_increment,
  `name` varchar(50) character set utf8 default NULL,
  `price` int(11) NOT NULL,
  `uron` int(11) NOT NULL,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_security`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_tbega`
-- 

CREATE TABLE `gorod_tbega` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `bet` smallint(6) NOT NULL,
  `last` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_tbega`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_tur`
-- 

CREATE TABLE `gorod_tur` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `opis` varchar(250) NOT NULL,
  `price` int(11) NOT NULL,
  `path` varchar(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_tur`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_weapon`
-- 

CREATE TABLE `gorod_weapon` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) character set utf8 default NULL,
  `dameg` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=1 ;

-- 
--    `gorod_weapon`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_zaks`
-- 

CREATE TABLE `gorod_zaks` (
  `id` int(11) NOT NULL auto_increment,
  `date` bigint(20) NOT NULL,
  `on` varchar(32) NOT NULL,
  `ona` varchar(32) NOT NULL,
  `onyes` varchar(3) NOT NULL,
  `onayes` varchar(3) NOT NULL,
  `avtor` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_zaks`
-- 


-- --------------------------------------------------------

-- 
--   `gorod_zoo`
-- 

CREATE TABLE `gorod_zoo` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(32) NOT NULL,
  `path` varchar(15) NOT NULL,
  `name` varchar(32) NOT NULL,
  `where` varchar(32) NOT NULL,
  `opis` varchar(150) NOT NULL,
  `fam` varchar(50) NOT NULL,
  `poroda` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `gorod_zoo`
-- 


-- --------------------------------------------------------

-- 
--   `kasino`
-- 

CREATE TABLE `kasino` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `combo` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `kasino`
-- 


-- --------------------------------------------------------

-- 
--   `krisha`
-- 

CREATE TABLE `krisha` (
  `id` int(2) NOT NULL auto_increment,
  `city` int(2) NOT NULL default '0',
  `house` text NOT NULL,
  `money` int(2) NOT NULL default '0',
  `band` text NOT NULL,
  `users` text NOT NULL,
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `krisha`
-- 


-- --------------------------------------------------------

-- 
--   `log`
-- 

CREATE TABLE `log` (
  `id` int(10) NOT NULL auto_increment,
  `date` varchar(99) NOT NULL default '',
  `text` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

-- 
--    `log`
-- 


-- --------------------------------------------------------

-- 
--   `messagi`
-- 

CREATE TABLE `messagi` (
  `id` int(11) NOT NULL auto_increment,
  `kto` int(11) NOT NULL default '0',
  `komu` int(11) NOT NULL default '0',
  `msg` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `messagi`
-- 


-- --------------------------------------------------------

-- 
--   `news`
-- 

CREATE TABLE `news` (
  `dbid` int(3) NOT NULL auto_increment,
  `text` text NOT NULL,
  `login` varchar(20) NOT NULL default '',
  `date` char(10) default NULL,
  PRIMARY KEY  (`dbid`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
--    `news`
-- 

INSERT INTO `news` VALUES (1, 'Ура!работает!мы установили новый мод игры GTA_MOD_LESNIK!', 'admin', '26.08.2010');

-- --------------------------------------------------------

-- 
--   `opros`
-- 

CREATE TABLE `opros` (
  `dbid` int(11) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `golos` int(11) NOT NULL default '0',
  PRIMARY KEY  (`dbid`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

-- 
--    `opros`
-- 


-- --------------------------------------------------------

-- 
--   `osobnyaki`
-- 

CREATE TABLE `osobnyaki` (
  `id` int(11) NOT NULL auto_increment,
  `bandname` text NOT NULL,
  `type` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `osobnyaki`
-- 


-- --------------------------------------------------------

-- 
--   `permissions`
-- 

CREATE TABLE `permissions` (
  `id` int(99) NOT NULL auto_increment,
  `name` varchar(99) NOT NULL default '',
  `forum` varchar(99) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

-- 
--    `permissions`
-- 


-- --------------------------------------------------------

-- 
--   `posts`
-- 

CREATE TABLE `posts` (
  `uid` int(7) NOT NULL auto_increment,
  `uid_theme` int(5) default NULL,
  `uid_forum` int(3) default NULL,
  `login` text,
  `text` text,
  `time` text,
  `izmts` bigint(20) NOT NULL,
  `izmkol` int(3) NOT NULL default '0',
  `izmwho` text,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `posts`
-- 


-- --------------------------------------------------------

-- 
--   `private`
-- 

CREATE TABLE `private` (
  `id` int(99) NOT NULL auto_increment,
  `unread` varchar(5) NOT NULL default '',
  `sentby` varchar(255) NOT NULL default '',
  `sentto` varchar(255) NOT NULL default '',
  `text` varchar(255) NOT NULL default '',
  `date` varchar(100) NOT NULL default '',
  `timesent` int(50) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

-- 
--    `private`
-- 


-- --------------------------------------------------------

-- 
--   `refers`
-- 

CREATE TABLE `refers` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `refer` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

-- 
--    `refers`
-- 

INSERT INTO `refers` VALUES (30, 2, 'http://gta.test1.ru/userview.php?id=2&pass=123456&dbid=2');
INSERT INTO `refers` VALUES (6, 1, 'http://gta.test1.ru/city1/index.wml?id=1&pass=1234');
INSERT INTO `refers` VALUES (5, 3, 'http://gta.test1.ru/city1/index.wml?id=3&pass=123456');

-- --------------------------------------------------------

-- 
--   `rnews`
-- 

CREATE TABLE `rnews` (
  `id` int(3) NOT NULL auto_increment,
  `title` varchar(50) default NULL,
  `text` varchar(250) default NULL,
  `login` varchar(20) NOT NULL default '',
  `time` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

-- 
--    `rnews`
-- 

INSERT INTO `rnews` VALUES (5, 'Ура!Работает!', 'Мы установили новый мод игры GTA_MOD_LesNIK', 'Lesnik', '2010-08-17 17:17:00');

-- --------------------------------------------------------


-- 
--   `sud`
-- 

CREATE TABLE `sud` (
  `dbid` int(11) NOT NULL auto_increment,
  `vr` int(11) NOT NULL,
  `pod_sud` int(11) default NULL,
  `zag` text NOT NULL,
  `vin` int(11) default NULL,
  `obv` text NOT NULL,
  `sud_name` text NOT NULL,
  `pod_name` text NOT NULL,
  `plus` int(11) NOT NULL,
  `minus` int(11) NOT NULL,
  PRIMARY KEY  (`dbid`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;


-- --------------------------------------------------------

-- 
--   `sud_komm`
-- 

CREATE TABLE `sud_komm` (
  `dbid` int(11) NOT NULL auto_increment,
  `nick` varchar(15) NOT NULL,
  `time` int(11) NOT NULL,
  `mass` text NOT NULL,
  `sud_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY  (`dbid`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;


-- --------------------------------------------------------

-- 
--   `sud_vote`
-- 

CREATE TABLE `sud_vote` (
  `dbid` int(11) NOT NULL auto_increment,
  `id_vote` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  PRIMARY KEY  (`dbid`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;


-- --------------------------------------------------------

-- 
--   `sklad`
-- 

CREATE TABLE `sklad` (
  `id` int(11) NOT NULL auto_increment,
  `kto` int(11) NOT NULL default '0',
  `komu` int(11) NOT NULL default '0',
  `chto` text NOT NULL,
  `type` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

-- 
--    `sklad`
-- 


-- --------------------------------------------------------

-- 
--   `smilies`
-- 

CREATE TABLE `smilies` (
  `id` int(10) NOT NULL auto_increment,
  `bbcode` varchar(200) NOT NULL default '',
  `changeto` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

-- 
--    `smilies`
-- 


-- --------------------------------------------------------

-- 
--   `themes`
-- 

CREATE TABLE `themes` (
  `uid` int(5) NOT NULL auto_increment,
  `uid_forum` int(5) default NULL,
  `name` text character set utf8 collate utf8_unicode_ci,
  `login` text,
  `time` text,
  `last_time` text NOT NULL,
  `type` text,
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
--    `themes`
-- 


-- --------------------------------------------------------

-- 
--   `user_home`
-- 

CREATE TABLE `user_home` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `cars` text,
  `guns` text,
  `money` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
--    `user_home`
-- 

INSERT INTO `user_home` VALUES (1, 2, 'Феррари', '', 0);

-- --------------------------------------------------------

-- 
--   `users`
-- 

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` text NOT NULL,
  `pass` text NOT NULL,
  `mobile` text,
  `email` text,
  `about` text,
  `status` text,
  `reg_data` text,
  `money` int(11) NOT NULL default '0',
  `level` int(4) NOT NULL default '0',
  `police` int(3) NOT NULL default '0',
  `health` int(4) NOT NULL default '0',
  `band` text NOT NULL,
  `last` text NOT NULL,
  `cars` text NOT NULL,
  `guns` text NOT NULL,
  `nums` int(11) NOT NULL default '0',
  `voodoo` int(1) NOT NULL default '0',
  `golod` int(4) NOT NULL default '0',
  `secur` int(3) NOT NULL default '0',
  `city` int(3) NOT NULL default '0',
  `admin` int(6) NOT NULL default '0',
  `ban` int(1) NOT NULL default '0',
  `zav` int(25) NOT NULL default '0',
  `lsd` int(25) NOT NULL default '0',
  `redaktor` int(2) NOT NULL default '0',
  `gorod_firm` varchar(50) NOT NULL,
  `gorod_kopi` bigint(20) NOT NULL,
  `pol` enum('0','1') NOT NULL default '1',
  `gorod_band` varchar(50) default NULL,
  `gorod_band_time` bigint(20) default NULL,
  `gorod_kriminal` int(11) default NULL,
  `users_sumcredit` int(11) unsigned NOT NULL default '0',
  `users_timecredit` int(11) unsigned NOT NULL default '0',
  `gvoodoo` int(11) NOT NULL,
  `gorod_voodoo_name` varchar(32) NOT NULL,
  `gorod_ohota_time` bigint(20) NOT NULL,
  `gorod_tamag` varchar(32) NOT NULL,
  `gorod_tamag_life` smallint(6) NOT NULL,
  `gorod_tamag_time` bigint(20) NOT NULL,
  `gorod_kriminal_time` bigint(20) NOT NULL,
  `gorod_security` varchar(32) NOT NULL,
  `gorod_security_uron` int(11) NOT NULL,
  `gorod_para` varchar(50) NOT NULL,
  `gorod_tur` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

-- 
--    `users`
-- 

INSERT INTO `users` VALUES (1, 'admin', '1234', NULL, NULL, NULL, 'Угонщик', NULL, 100000, 1000, 0, 100, '', '1283968031', '', '', 0, 0, 96, 0, 4, 7, 0, 0, 0, 1, '', 0, '1', NULL, 0, 0, 0, 0, 0, '', 0, '', 0, 0, 0, '', 0, '', '');
        